export type JahatSection = any[];
export type Book = {
  title: string;
  id: number | undefined;
};
export type TempData = {
  name: string;
};
export type Permission = {
  readonly id: number | undefined;
  created_at: number;
  updated_at: number;
  project_id: number;
  section_title: string;
  action_title: string;
  section_tag: string;
  action_tag: string;
  method_tag: null;
};
// export type UserPermissions = permission[];
export type AuthorizedPages = string[];
// export type AuthorizedPages = Set<string>;
export type Schemas = any[];
export type ActiveSchema = {};
export type ForwardItem = {};
export type Selectedlists = any[];
export type System = {
  id: number;
  created_at: number;
  updated_at: number;
  title: string;
  users: string;
  organ: string;
  owner: number;
  comment: string;
  link: string;
  showInDashboard: number;
};


export type lastRecord = {
  title: string;
};
export type Pagination = {
  pages: number;
  total: number;
  page: number;
  offset: number;
  limit: number;
};
export type User = {
  user_id: number;
  user_level: number;
  token: string;
  expire: number;
  type: number;
  refresh_token: string;
  refresh_expire: number;
  user_data: {
    first_name: string;
    last_name: string;
    avatar: string;
    username: string;
  };
};
