// import { VueJalaliMoment } from "vue-jalali-moment";

// export default defineNuxtPlugin((nuxtApp) => {
//   //   nuxtApp.vueApp.use(VueJalaliMoment);
//   nuxtApp.vueApp.use(VueJalaliMoment, {
//     // Global configuration options
//     // locale: 'fa',
//     // format: 'jYYYY/jMM/jDD',
//   });
// });

import moment from 'jalali-moment';

export default defineNuxtPlugin((nuxtApp) => {
  moment.locale('fa'); // Set the locale to 'fa' for Jalali calendar

  return {
    provide: {
      $jalaliMoment: moment,
    },
  };

  // Global Access
  // nuxtApp.vueApp.config.globalProperties.$jalaliMoment = moment;
});
